//
//  ViewController.swift
//  closureDemo1
//
//  Created by apple on 2016/12/29.
//  Copyright © 2016年 wusu. All rights reserved.
//

import UIKit

class ViewController: UIViewController, SecondDelegate {
    
    
    var titleLable = UILabel()
    
    var closure1 = UITextField()
    var closure2 = UITextField()
    var closureBtn = UIButton()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.view.backgroundColor = UIColor.green
        titleLable.text = "第一个视图控制器"
        titleLable.backgroundColor = UIColor.yellow
        titleLable.textColor = UIColor.black
        titleLable.font = UIFont.systemFont(ofSize: 16)
        titleLable.frame = CGRect(x:30, y:30, width:220, height:45)
        
        closure1.frame = CGRect(x:30, y:100, width:320, height: 45)
        closure1.borderStyle = .bezel
        
        closure2.frame = CGRect(x:30, y:150, width:320, height: 45)
        closure2.borderStyle = .bezel
        closureBtn.frame = CGRect(x:30, y:200, width:120, height: 45)
        closureBtn .setTitleColor(UIColor.red, for: .normal)
        closureBtn.setTitle("点击跳转", for: .normal)
        closureBtn.addTarget(self, action: #selector(skip), for: .touchUpInside)
        
        self.view.addSubview(titleLable)
        self.view .addSubview(closure1)
        self.view .addSubview(closure2)
        self.view .addSubview(closureBtn)
    }
    
    func skip() -> Void {
        let second =  SecondController()
        // closure 回调   [weak self]
        second.delegate = self
        second.backClosure = {
            (backStr:String) -> Void in
            self.closure1.text = "闭包传回" + backStr
        }
        
        self.present(second, animated: true, completion: nil)
        //self.navigationController?.pushViewController(second, animated: true)
    }
    
    func fetchBackString(str:String)
    {
        self.closure2.text = "代理传回" + str
        
    }
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

